%global commit          9f8354bbfe725de27de5146d741a3c23f61e5457
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           osops-tools-monitoring-oschecks
Version:        0.1
Release:        0.9.%{shortcommit}git%{?dist}
Summary:        Scripts used to monitor an Openstack Installation

License:        ASL 2.0
URL:            https://github.com/openstack/osops-tools-monitoring
# Source0:        osops-tools-monitoring-%{shortcommit}.tar.gz
Source0:        https://github.com/openstack/osops-tools-monitoring/archive/%{commit}/osops-tools-monitoring-%{shortcommit}.tar.gz
Patch0001:      0001-State-source-code-encoding.patch
Patch0002:      0002-Catch-more-exceptions.patch
Patch0003:      0003-Fix-name-error-exception.patch

BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  git
BuildRequires:  python-setuptools
Requires: python-psutil
Requires: python-ceilometerclient
Requires: python-cinderclient
Requires: python-glanceclient
Requires: python-keystoneclient
Requires: python-neutronclient
Requires: python-novaclient
Requires: python-openstackclient
Requires: python-six


BuildArch: noarch

%description
%{summary}

%prep
%autosetup -n osops-tools-monitoring-%{commit}/monitoring-for-openstack -S git
rm requirements.txt test-requirements.txt
rm -rf monitoring_for_openstack.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
find %{buildroot}%{python2_sitelib}/oschecks/*.py -not -name '__init__.py' -exec chmod +x {} \;

%files
%{_libexecdir}/openstack-monitoring/checks/oschecks-*
%{python2_sitelib}/oschecks
%{python2_sitelib}/monitoring_for_openstack*

%changelog
* Wed Oct 25 2017 Martin Mágr <mmagr@redhat.com> 0.1-0.9.9f8354bgit
- Added 0003-Fix-name-error-exception.patch (rhbz#1498548)

* Wed Nov 23 2016 Martin Mágr <mmagr@redhat.com> 0.1-0.8.9f8354bgit
- Added patches for covering more tracebacks during connection issues:

* Fri Nov 11 2016 Martin Mágr <mmagr@redhat.com> 0.1-0.7.9f8354bgit
- Update to commit 9f8354b to include latest fixes

* Mon Aug 08 2016 Matthias Runge <mrunge@redhat.com> - 0.1-0.6.3986efgit
- pull in fixes for keystone, novaclient

* Wed Mar 23 2016 Martin Mágr <mmagr@redhat.com> 0.1-0.5.a9d3fdagit
- Update to commit a9d3fda to include latest fixes

* Wed Feb 10 2016 Graeme Gillies <ggillies@redhat.com> 0.1-0.4.ced73edgit
- Update to commit ced73ed to include latest fixes
- Added dependency on python-openstackclient

* Tue Feb  2 2016 Graeme Gillies <ggillies@redhat.com> 0.1-0.3.f0c3a92git
- Moved check scripts into /usr/libexec

* Thu Jan 28 2016 Graeme Gillies <ggillies@redhat.com> 0.1-0.2.f0c3a92git
- Update to commit f0c3a92 to include latest fixes

* Tue Jul 21 2015 Graeme Gillies <ggillies@redhat.com> 0.1-0.1.dd7ca5cgit
- Initial Package
